Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMpeerSupport

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.ocm.OCMpeerSupport

All Implemented Interfaces:
  Item, OCMpeer, QConverter

Direct Known Subclasses:
  OCMrootPeerSupport, QCAbstract, QCAbstract, QCAbstract, QCAbstract, QCAccessClass, QCAccessClass, QCAttributes, QCAttributes, QCAttributes, QCAttributes, QCAttributes, QCBean, QCBean, QCBean, QCBean, QCBean, QCDTDAny, QCDTDAttlist, QCDTDAttribute, QCDTDChoice, QCDTDComment, QCDTDElement, QCDTDEmpty, QCDTDEnumeration, QCDTDMixed, QCDTDName, QCDTDPCData, QCDTDProcessingInstruction, QCDTDSequence, QCElements, QCElements, QCElements, QCElements, QCElements, QCEnum, QCEnum, QCEnum, QCEnum, QCEnum, QCExcludes, QCExtends, QCExtends, QCExtends, QCField, QCField, QCId, QCId, QCId, QCId, QCIdentity, QCIdentity, QCIgnore, QCIgnore, QCImplements, QCImplements, QCImplements, QCInterface, QCInterface, QCInterface, QCInterface, QCItem, QCItem, QCItem, QCItem, QCItem, QCLink, QCLink, QCLink, QCLink, QCLink, QCProperty, QCProperty, QCRange, QCRange, QCRange, QCRange, QCRange, QCRem, QCRem, QCRem, QCRem, QCRem, QCSelection, QCSelection, QCSelection, QCSelection, QCSequence, QCSequence, QCSequence, QCSequence, QCSequence, QCTargetClass, QCTargetClass, QCTargetEditor, QCTargetEditor, QCTargetFactory, QCTargetFactory, QCText, QCText, QCText, QCText, QCText, QCUnused

public abstract class OCMpeerSupport
extends QConverterSupport
implements OCMpeer

Provides the functionality for the conversion.

Field Summary
`OCMcontext` | `context` The conversion context.
`Object` | `dataModel` The data model object paired to this peer.
`Map` | `paramMap` Parameter data from the .util or .ocm file.
`OCMpeer` | `parent` The conversion peer parent.

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`OCMpeerSupport()`

Method Summary
`abstract void` | `cvt(Object param)` Perform the conversion.
`void` | `doCvt(List l, Object param)` Convenience method for converting lists of data model objects.
`void` | `doCvt(Map m, Object param)` Convenience method for converting maps of data model objects.
`void` | `doCvt(Object dm, Object param)` convenience method for converting other data model objects.
`void` | `init(Object dataModel, OCMcontext context, OCMpeer parent, Map paramMap)` Initialize the peer object.
`OCMpeer` | `peer(Object dm)` Convenience method for retrieving another peer object.

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, setDestination, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataModel

    public Object dataModel

  The data model object paired to this peer.

### context

    public OCMcontext context

  The conversion context.

### parent

    public OCMpeer parent

  The conversion peer parent.

### paramMap

    public Map paramMap

  Parameter data from the .util or .ocm file.

Constructor Detail

### OCMpeerSupport

    public OCMpeerSupport()

Method Detail

### init

    public final void init(Object dataModel,
                           OCMcontext context,
                           OCMpeer parent,
                           Map paramMap)
                    throws SAXException,
                           IOException

  Description copied from interface: `OCMpeer`
  Initialize the peer object.
  Specified by:
    `init` in interface `OCMpeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMpeer`
  Parameters:
    `dataModel` - The data model object paired to this peer.
    `context` - The conversion context.
    `parent` - The peer object of the parent of the data model object.
    `paramMap` - Parameter data from the .util or .ocm file.

### cvt

    public abstract void cvt(Object param)
                      throws SAXException,
                             IOException

  Description copied from interface: `OCMpeer`
  Perform the conversion.
  Specified by:
    `cvt` in interface `OCMpeer`

### peer

    public OCMpeer peer(Object dm)
                 throws SAXException,
                        IOException

  Convenience method for retrieving another peer object.

### doCvt

    public void doCvt(Object dm,
                      Object param)
               throws SAXException,
                      IOException

  convenience method for converting other data model objects.

### doCvt

    public void doCvt(List l,
                      Object param)
               throws SAXException,
                      IOException

  Convenience method for converting lists of data model objects.

### doCvt

    public void doCvt(Map m,
                      Object param)
               throws SAXException,
                      IOException

  Convenience method for converting maps of data model objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD